/* Blink without Delay
 Ki- és bekapcsolja a LED-et a delay függvény használata nélkül. Ez azt jelenti, hogy másik kód is tud futni vele egy időben, hiszen a delay() nem akasztja meg annak lefutását. 
 
 created 2005 by David A. Mellis
 modified 8 Feb 2010 by Paul Stoffregen
 -
 */

// a konstansok (állandók) nem változnak, ezért velük 
// határozzuk meg a pineket
const int ledPin =  13;      // LED pin

// Variables will change:
int ledState = LOW;             
// ledState változó tárolja a LED állapotának értékét
long previousMillis = 0;        
// a LED frissítésének utolsó időértékét tárolja

// a következő változónk egy long less, mivel az érték 
// gyorsan akkorára nő hogy integerben nem tudjuk tárolni
long interval = 1000;           
// villogáshoz intervalluma (milliszekundumban)

void setup() {
  // kimenetnek állítjuk be digitális pinünket
  pinMode(ledPin, OUTPUT);      
}

void loop() {
  /* ide az a kód kerül, aminek mindig futnia kell
   Szünetet tart, hogy lássa, fel kell-e villantani a LED-et: úgy, hogy megvizsgálja, a jelenleg eltelt idő és az utolsó felvillanás idejének különbsége nagyobb-e, mint az intervallum, ami alatt fel akarjuk villantani a LED-et.
   */

  unsigned long currentMillis = millis();

  if(currentMillis - previousMillis > interval) {
    // elmenti a LED felvillanás utolsó időértékét
    previousMillis = currentMillis;   

    // ha a LED ki van kapcsolva, akkor bekapcsolja 
    // és fordítva:
    if (ledState == LOW)
      ledState = HIGH;
    else
      ledState = LOW;

    // a ledState változóval beállítjuk a 13 pin állapotát:
    digitalWrite(ledPin, ledState);
  }
} 




